Ubuntu

kernel does not detect card reader if card is inserted in reader before boot

Reported by Sindhudweep Sarkar on 2008-09-16
160
This bug affects 26 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Bob McClelland

Bug Description

Binary package hint: linux

udev only enumerates a device if SD or other card is already present during boot.

$ lsb_release -rd
Description: Ubuntu intrepid (development branch)
Release: 8.10

$ lspci
01:00.0 System peripheral: JMicron Technologies, Inc. Device 2382
01:00.2 SD Host controller: JMicron Technologies, Inc. Device 2381
01:00.3 System peripheral: JMicron Technologies, Inc. Device 2383
01:00.4 System peripheral: JMicron Technologies, Inc. Device 2384

this happens for both controllers on my acer aspire one running 8.10

dpkg -l|grep udev
ii udev 124-3 rule-based device node and kernel event mana

Chris Coulson (chrisccoulson) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. Unfortunately we can't fix it without more information.

Please include the following additional information, if you have not already done so (pay attention to lspci's additional options):
1. Please include the output of the command "uname -a" in your next response. It should be one, long line of text which includes the exact kernel version you're running, as well as the CPU architecture.
2. Please run the command "dmesg > dmesg.log" after a fresh boot (with and without SD card) and attach the resulting file "dmesg.log" to this bug report.
3. Please run the command "sudo lspci -vvnn > lspci-vvnn.log" and attach the resulting file "lspci-vvnn.log" to this bug report.
4. Please run "sudo udevmonitor --environment" in a terminal, then plug in a SD card and paste the output from the terminal here.
5. Please run "dmesg >dmesg.log.postinsert" after inserting your SD card, and attach the resulting file to this bug report.

Thanks

Changed in udev:
status: New → Incomplete

1) I'm running kernel 2.6.27-3-generic.
3) The output from lspci /w more verbosity and more explicit identifiers is attached.

I could not find udevmonitor. Others apparently have this issue too.

http://groups.google.com/group/linux.debian.bugs.dist/browse_thread/thread/4055ab1c8efe917a

Poking around in
http://git.kernel.org/?p=linux/hotplug/udev.git;a=blob;f=ChangeLog;h=d87f3fbc5daa57bb4de4967bcb53e6684e6f09c7;hb=55eb845c28129baf732a6c1ce5afbc3f7cca9593

doesnt seem to provide any help on that front either, and i cant seem to figure out where it would be or what replacement to use.

This is the output from dmesg, following insertion of the sd card post boot.
This gets at the crux of the problem, udev notices nothing.

Chris Coulson (chrisccoulson) wrote :

It is not obvious from your dmesg log exactly at which point you inserted the card. That probably means that this is a kernel issue and not a UDEV one. Could you please open up a terminal (with no SD card), and then run the following:

tail -f /var/log/kern.log

Now insert your SD card and monitor the output in the terminal. Copy and paste any messages in to this bug report.

Thanks

udev enumerates all devices known by the kernel, this implies that the kernel does not support insert notification for your reader.

Does lspci look the same whether or not you have the card inserted at boot?

If the card is inserted prior to booting,

tail -f /var/log/kern.log

Sep 26 16:18:18 sreyan-laptop kernel: [ 1343.804332] mmc0: card d5db removed
Sep 26 16:18:30 sreyan-laptop kernel: [ 1356.507387] mmc0: new SD card at address d5db
Sep 26 16:18:30 sreyan-laptop kernel: [ 1356.515278] mmcblk0: mmc0:d5db SD02G 1985024KiB
Sep 26 16:18:30 sreyan-laptop kernel: [ 1356.516368] mmcblk0: p1
Sep 26 16:18:31 sreyan-laptop kernel: [ 1357.000511] kjournald starting. Commit interval 5 seconds
Sep 26 16:18:31 sreyan-laptop kernel: [ 1357.000669] EXT3-fs warning: maximal mount count reached, running e2fsck is recommended
Sep 26 16:18:31 sreyan-laptop kernel: [ 1357.127810] EXT3 FS on mmcblk0p1, internal journal
Sep 26 16:18:31 sreyan-laptop kernel: [ 1357.127849] EXT3-fs: mounted filesystem with ordered data mode.

If the card is not inserted prior to booting, then inserted,

tail -f /var/log/kern.log
shows no change upon insertion.

When the card is not inserted at boot,

lspci shows no card readers at all (my netbook has two slightly different ones)

if the card is in at least one of the card readers prior to boot, both show up in lspci.

Chris Coulson (chrisccoulson) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. The issue that you reported is one that should be reproducible with the live environment of the Desktop CD of the development release - Jaunty Jackalope. It would help us greatly if you could test with it so we can work on getting it fixed in the next release of Ubuntu. You can find out more about the development release at http://www.ubuntu.com/testing/ . Thanks again and we appreciate your help.

Max (maxter) wrote :

fresh jaunty alpha 4 install (with updates)

same problem encountered by Sindhudweep.

the only way to male the card reader work is to insert a card the boot,
no errors or messages in dmseg.

anyway there is another bug related to sdhci in jaunty that i reprted in bug 327130
i think that this bug should be refereed to the kernel and not udev

Changed in linux:
status: Incomplete → Confirmed

Max, as you suggested I have updated the description of the bug.

Chris: Yes the bug is still present in the jaunty alpha 5. Should I use one of the vanilla kernels available for jaunty and ask on the linux kernel mailing list?

description: updated
Chris Coulson (chrisccoulson) wrote :

Hi Sindhudweep, yes, it would be great if you could test the latest vanilla kernel from here: http://kernel.ubuntu.com/~kernel-ppa/mainline/

If you still experience the same issue with this, would you mind opening a bug report on the kernel bugzilla (http://kernel.ubuntu.com/~kernel-ppa/mainline/), containing the same information you've already attached here (but gathered when using the vanilla kernel).

Thanks in advance.

Changed in linux:
status: Confirmed → Incomplete
Ethan (etbonick) wrote :

I installed the latest Vanilla kernel from the above link, 2.6.29.1, on my Acer ZG5 and the card slots only work when a card is inserted before boot. They worked fine in 8.10, but not since I installed 9.04 beta. It was a fresh install not an upgrade. Is there a bug opened yet on the kernel bugzilla?

Chris Coulson (chrisccoulson) wrote :

Ethan,

Thanks for testing with a vanilla kernel. If you can't find a bug report already on the kernel bugzilla, then please open one. It makes more sense for you to open it, as you have the hardware to test it with.

Thanks

Changed in linux (Ubuntu):
importance: Undecided → Medium
Norbert (asterix52) wrote :
Download full text (7.0 KiB)

I have have this problem too. I have a Acer 5737z Nootebook. It only works with a card at boot (Jaunty).

05:00.0 System peripheral: JMicron Technologies, Inc. SD/MMC Host Controller
 Subsystem: Acer Incorporated [ALI] Device 0160
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 64 bytes
 Interrupt: pin A routed to IRQ 23
 Region 0: Memory at f0500000 (32-bit, non-prefetchable) [size=256]
 Capabilities: [a4] Power Management version 3
  Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
  Status: D0 PME-Enable- DSel=0 DScale=0 PME-
 Capabilities: [80] Express (v1) Endpoint, MSI 00
  DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
   ExtTag- AttnBtn- AttnInd- PwrInd- RBE+ FLReset-
  DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
   RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop-
   MaxPayload 128 bytes, MaxReadReq 512 bytes
  DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq+ AuxPwr- TransPend-
  LnkCap: Port #1, Speed 2.5GT/s, Width x1, ASPM L0s L1, Latency L0 unlimited, L1 unlimited
   ClockPM- Suprise- LLActRep- BwNot-
  LnkCtl: ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk+
   ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
  LnkSta: Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
 Capabilities: [94] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
  Address: fffffffc Data: 0000
 Kernel driver in use: sdhci-pci
 Kernel modules: sdhci-pci

05:00.2 SD Host controller: JMicron Technologies, Inc. Standard SD Host Controller (prog-if 01)
 Subsystem: Acer Incorporated [ALI] Device 0160
 Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Interrupt: pin A routed to IRQ 23
 Region 0: Memory at f0500400 (32-bit, non-prefetchable) [size=256]
 Capabilities: [a4] Power Management version 3
  Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
  Status: D0 PME-Enable- DSel=0 DScale=0 PME-
 Capabilities: [80] Express (v1) Endpoint, MSI 00
  DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
   ExtTag- AttnBtn- AttnInd- PwrInd- RBE+ FLReset-
  DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
   RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop-
   MaxPayload 128 bytes, MaxReadReq 128 bytes
  DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq+ AuxPwr- TransPend-
  LnkCap: Port #1, Speed 2.5GT/s, Width x1, ASPM L0s L1, Latency L0 unlimited, L1 unlimited
   ClockPM- Suprise- LLActRep- BwNot-
  LnkCtl: ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk+
   ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
  LnkSta: Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
 Capabilities: [94] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
  Address: fffffffc Data: 0000
 Kernel modules: sdhci-pci

05:00.3 System peripheral: JMicron Techn...

Read more...

dnl (dnl) wrote :

The media slot works fine for me on an Acer Aspire One running ubuntu-9.04-netbook-remix-i386.img.

BIOS 1.05

Model D150

Let me know if any additional info is needed.

I am wondering if my problem is that I upgraded to the regular 9.04
instead of the netbook remix? In any case I have two computers that I
tried to upgrade and both have "Partial" upgrades. I noticed a lot of
repositories were disabled for the upgrade and one was the netbook remix.

Maybe you know of what I should look for to correct.

Maybe I should download the Netbook Remix from the Ubuntu site. I just
hate to put it on a USB flash drive, as I had a lot of problems doing
that the first time.

I just tried again to have the computer to "see" the SD card. I tried
both slots and still no recognition of a media card.

Thanks for your help

dnl wrote:
> The media slot works fine for me on an Acer Aspire One running
> ubuntu-9.04-netbook-remix-i386.img.
>
> BIOS 1.05
>
> Model D150
>
> Let me know if any additional info is needed.
>
>

dnl (dnl) wrote :

I did a full install from the UNR image. I learned a looong time ago to never trust an upgrade; there's just no way to test every start state. Nothing was lost from the old system, as my goal was to replace the factory installed virus, aka WIndows XP.

seltzer (squabbit7) wrote :

On Acer Aspire one fully updated 9.04,

Neither media card reader works. lspci gives:

04:00.0 System peripheral: JMicron Technologies, Inc. SD/MMC Host Controller
04:00.2 SD Host controller: JMicron Technologies, Inc. Standard SD Host Controller
04:00.3 System peripheral: JMicron Technologies, Inc. MS Host Controller
04:00.4 System peripheral: JMicron Technologies, Inc. xD Host Controller

no change with inserted sd card.

dmesg on boot with no SD card gives

[ 6.687086] sdhci: Secure Digital Host Controller Interface driver
[ 6.687096] sdhci: Copyright(c) Pierre Ossman
[ 6.692498] sdhci-pci 0000:04:00.0: SDHCI controller found [197b:2382] (rev 0)
[ 6.692542] sdhci-pci 0000:04:00.0: PCI INT A -> GSI 19 (level, low) -> IRQ 19
[ 6.692649] sdhci-pci 0000:04:00.0: setting latency timer to 64
[ 6.692778] mmc0: SDHCI controller on PCI [0000:04:00.0] using ADMA
[ 6.692813] sdhci-pci 0000:04:00.2: SDHCI controller found [197b:2381] (rev 0)
[ 6.692848] sdhci-pci 0000:04:00.2: PCI INT A -> GSI 19 (level, low) -> IRQ 19
[ 6.692864] sdhci-pci 0000:04:00.2: Refusing to bind to secondary interface.
[ 6.692879] sdhci-pci 0000:04:00.2: PCI INT A disabled

Kernel log shows:
[ 6.682868] mmc0: SDHCI controller on PCI [0000:01:00.0] using ADMA
[ 6.683176] mmc1: SDHCI controller on PCI [0000:04:00.0] using ADMA

When an SD card is inserted into left side, get
[ 7.048385] mmc0: error -84 whilst initialising SD card
weather an sd card was present durring boot or not,
nothing at all happens when an sd card is inserted into slot on right hand side.

uname -a
Linux xxxxxx 2.6.28-11-generic #42-Ubuntu SMP Fri Apr 17 01:57:59 UTC 2009 i686 GNU/Linux

Anything else needed?

Marc Deslauriers (mdeslaur) wrote :

fyi, I get around the issue by passing pciehp.pciehp_force=1 to the kernel at boot.

Norbert (asterix52) wrote :

> passing pciehp.pciehp_force=1 to the kernel at boot.

Doesn't work for my Acer Aspire 5737z :-(

paul (paul-s) wrote :

Can someone explain to me what that means so I can try it?

dnl (dnl) wrote :

paul wrote:
> Can someone explain to me what that means so I can try it?
>
Is "that" the previous post with "pciehp.pciehp_force=1"? In that case,
you have two possibilities:

1) Hit the <Escape> key while Grub is displaying that prompt. With the
first entry selected, hit the <e> key to edit that entry, down arrow to
the "kernel" line, hit <e> key to edit that line, and type the above
without the quotes at the end of the line, hit <enter> to accept the
modified line, then finally type <b> to boot with that entry.

2) Boot, start a terminal, 'sudo vi /boot/grub/menu.lst' and add the
above without quotes to the kernel line; reboot.

Put a memory device into the card reader. If it's opened automagically,
all is well.

C-quel (c-quel) wrote :

I can confirm that the above 'pciehp.pciehp_force=1' fix described by Marc and dnl works perfectly on my Acer Aspire One AOA 110-1698.

However, it's a bit of a give and take solution since the fix adds about 3-5 seconds of some rather intimidating-looking kernel messages at bootup (prior to the Ubuntu splash screen), regardless of whether there is an SD card inserted or not. I'm alright with it, as I much value hot-swappable drives than super-quick bootups -- but speedsters may just prefer to keep an SD card inserted in the left drive at all times. ;)

In any event, the fact that we do have a decent workaround is reason enough to celebrate. Thank you ! :)

dnl (dnl) wrote :

C-quel wrote:
> I can confirm that the above 'pciehp.pciehp_force=1' fix described by
> Marc and dnl works perfectly on my Acer Aspire One AOA 110-1698.

I've had *no* problems on my Acer Aspire One while others report this
problem. How about we all provide some info to help characterize this
problem a little better?

Model: D150-1165 (10.1")
BIOS: V1.05
SW: ubuntu-9.04-netbook-remix-i386.img
Status: Works correctly, no issues.

Marc Deslauriers (mdeslaur) wrote :

Here is mine:

Model: 150-1249 (8.9")
BIOS: v0.3309
SW: ubuntu-9.04-netbook-remix-i386.img
Status: When booted without card in cardreader, lspci doesn't show card reader device. Inserting a card while booted doesn't make the device show up. When booted _with_ a card in the card reader, device shows up in lspci, and both card slots work. When using the "pciehp.pciehp_force=1" workaround, a card doesn't need to be present when powered on for the card reader to be visible and working.

Norbert (asterix52) wrote :
Download full text (4.4 KiB)

On my acer aspire 5737z I get with the pciehp.pciehp_force=1" workaround this:

May 4 18:46:12 Notebook kernel: [ 48.952047] ata3.00: qc timeout (cmd 0xa0)
May 4 18:46:12 Notebook kernel: [ 48.952088] ata3: hard resetting link
May 4 18:46:13 Notebook kernel: [ 49.440036] ata3: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
May 4 18:46:13 Notebook kernel: [ 49.470984] ata3.00: configured for UDMA/100
May 4 18:46:13 Notebook kernel: [ 49.473106] ata3: EH complete
May 4 18:46:18 Notebook kernel: [ 54.945056] ata3.00: qc timeout (cmd 0xa0)
May 4 18:46:18 Notebook kernel: [ 54.945091] ata3: hard resetting link
May 4 18:46:19 Notebook kernel: [ 55.436079] ata3: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
May 4 18:46:19 Notebook kernel: [ 55.482381] ata3.00: configured for UDMA/100
May 4 18:46:19 Notebook kernel: [ 55.482895] ata3: EH complete
May 4 18:46:21 Notebook kernel: [ 57.265070] ===>rt_ioctl_giwscan. 1(1) BSS returned, data->length = 144
May 4 18:46:24 Notebook kernel: [ 60.853041] ata3.00: qc timeout (cmd 0xa0)
May 4 18:46:24 Notebook kernel: [ 60.853051] ata3: limiting SATA link speed to 1.5 Gbps
May 4 18:46:24 Notebook kernel: [ 60.853076] ata3: hard resetting link
May 4 18:46:25 Notebook kernel: [ 61.341040] ata3: SATA link up 1.5 Gbps (SStatus 113 SControl 310)
May 4 18:46:25 Notebook kernel: [ 61.370338] ata3.00: configured for UDMA/100
May 4 18:46:25 Notebook kernel: [ 61.370854] ata3: EH complete
May 4 18:46:39 Notebook kernel: [ 75.680047] ata3.00: qc timeout (cmd 0xa0)
May 4 18:46:39 Notebook kernel: [ 75.680087] ata3: hard resetting link
May 4 18:46:39 Notebook kernel: [ 76.164061] ata3: SATA link up 1.5 Gbps (SStatus 113 SControl 310)
May 4 18:46:39 Notebook kernel: [ 76.195319] ata3.00: configured for UDMA/100
May 4 18:46:39 Notebook kernel: [ 76.197464] ata3: EH complete
May 4 18:46:49 Notebook kernel: [ 85.256775] ata3.00: qc timeout (cmd 0xa0)
May 4 18:46:49 Notebook kernel: [ 85.256807] ata3: hard resetting link
May 4 18:46:49 Notebook kernel: [ 85.737034] ata3: SATA link up 1.5 Gbps (SStatus 113 SControl 310)
May 4 18:46:49 Notebook kernel: [ 85.769172] ata3.00: configured for UDMA/100
May 4 18:46:49 Notebook kernel: [ 85.771274] ata3: EH complete
May 4 18:46:51 Notebook kernel: [ 87.258054] ===>rt_ioctl_giwscan. 3(3) BSS returned, data->length = 374
May 4 18:46:54 Notebook kernel: [ 90.864045] ata3.00: qc timeout (cmd 0xa0)
May 4 18:46:54 Notebook kernel: [ 90.864086] ata3: hard resetting link
May 4 18:46:55 Notebook kernel: [ 91.348056] ata3: SATA link up 1.5 Gbps (SStatus 113 SControl 310)
May 4 18:46:55 Notebook kernel: [ 91.379349] ata3.00: configured for UDMA/100
May 4 18:46:55 Notebook kernel: [ 91.381502] ata3: EH complete
May 4 18:47:01 Notebook kernel: [ 97.264056] ===>rt_ioctl_giwscan. 3(3) BSS returned, data->length = 374
May 4 18:47:01 Notebook kernel: [ 97.264296] ==>rt_ioctl_siwfreq::SIOCSIWFREQ[cmd=0x8b04] (Channel=6)
May 4 18:47:01 Notebook kernel: [ 97.564090] ata3.00: qc timeout (cmd 0xa0)
May 4 18:47:01 Notebook kernel: [ 97.564102] ata3.00: limiting speed to UDMA/66:PIO4
May 4 18:47:01...

Read more...

John Hart (jlhart68) wrote :

I still have the problem: With my netbook, If I start with an SC card in the left slot on boot-up then the left slot will recognize card and allow removal and it will still recognize it upon reinsertion. The right media slot will not recognize a media card. If I reverse it and have an SD card in the right slot then it will work fine, but the left media slot will not recognize a media card.

I tried to add the pciehp.pciehp_force=1 to the grub menu, but it did not persist past that boot. On the next boot it was not there. I then tried to use the "sudo vi" method, but I could not make any changes to the file. Maybe I need more instruction on using that method.

Acer Aspire ONE Netbook
Model: AOA 150-1249
OS: ubuntu-9.04-netbook-remix-i386.img

John Hart (jlhart68) wrote :

I tried the modify Grub a second time and the change does not persist after shutdown.

Is there a permanent work around that will make both media card readers to be active upon boot up?

Pjotr12345 (computertip) on 2009-05-05
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
C-quel (c-quel) wrote :

Sorry I haven't been back for a few days.

@dnl

Sure, here is my information:

Model: AOA 110-1698 (8.9")
BIOS: v0.3301
SW: ubuntu-9.04-netbook-remix-i386.img
Status: exhibited issues until 'pciehp.pciehp_force=1' was used in the kernel boot command. After this it worked perfectly, minus the display of extra kernel messages during startup and during wake-up after suspend.

@John Hart

Hi! Yes, if you apply the 'pciehp.pciehp_force=1' only during the Grub edit screen it will only work that one time. This is good for testing, but not great if you want to include that boot option permanently.

The 'sudo vi' routine mentioned above works,... just as long as you know how to use vi. I for one do not so I just prefer to use gedit (the real name for "Text Editor"). :P

Now as for how to modify the file in /boot/grub/menu.lst, I offer three options. Pick the one you're most comfortable with. :)

OPTION 1:
Open the Terminal via Accessories>Terminal and then type (or copy-n-paste) the line "sudo gedit /boot/grub/menu.lst". It will likely prompt you for a password. After which, the menu.lst file will open -- if you drop all the way to the end of the file, you should see the boot options available (the first line should start with something like "title Ubuntu 9.04, kernel 2.6.28-11-generic").

You will want to append that code right after the kernel line, which ends with "ro quiet splash" so that it becomes "ro quiet splash pciehp.pciehp_force=1". Then save and reboot your Acer.

OPTION 2:
Same as OPTION 1, but instead of going through the Terminal, you can just press ALT+F2 to bring up the Run window and type in "gksu gedit /boot/grub/menu.lst" to open the file automatically. Or just put in "gksu gedit" if you want to open the Text Editor with Root access only and then navigate to /boot/grub/menu.lst yourself using File>Open.

This is particularly handy if you don't like hanging around terminal windows -- but by the sound of it, you don't seem like someone who's afraid of the CLI. :)

OPTION 3:
This is a bit dangerous, but in the same ALT+F2 Run window, you can type in "gksu nautilus". This will open up your file manager with Root Access. Here you can navigate your entire system being able to add, edit, or delete anything with absolute impunity. Just go to the /boot/grub folder, open menu.lst, make your changes, save and you're done! :)

Just be sure not to TOUCH anything else while in this mode as this is the perfect environment to,... *cough cough*... accidentally delete your one and only kernel. This is only recommended if you want the absolute comfort of a GUI option, are very very careful, and/or want the educational experience of navigating the inner recesses of your file system. ;)

And that's all I can offer, the rest is up to you. Good luck! :)

John Hart (jlhart68) wrote :
Download full text (4.2 KiB)

Thanks: I used your number one Option and all is well. I did get some
text during the boot about not being able to recognise pcie02 or
something. It went by so fast it was hard to read it all. My Acer ONE
will now recognize media cards when inserted after boot. Actually I now
believe everything works on my Acer ONE. Even the WiFi switch will turn
off/on the WiFi and the WiFi LEDs will blink on WiFi signal traffic.
The onboard camera works. The speakers work, the earphone works. I
believe that the Jaunty Jackalope 9.04 is a winner.

By-the-way everything works on my Acer Travelmate laptop, with the
exception of the WiFi LED, which stays on ALL the time the computer is
on, no matter whether or no the Wifi is on or off. And with 9,04 the
WiFi switch will work like it was supposed to do. I also have two
desktops using 9.04 (one is primary, the other a standby)

Now for the personal stuff: Thanks to you and all of the Launchpad team
that help us out here in the field to get our computers to work. I know
I appreciate all the help I get from the Launchpad. One thing I have
found is that when one person takes the time to send an email with good
instructions, then I have gotten good results. Sometime the posts on
the Launchpad assumes that everyone is as experienced and knowledgeable
about Ubuntu GNU/Linux.

John

C-quel wrote:
> Sorry I haven't been back for a few days.
>
> @dnl
>
> Sure, here is my information:
>
> Model: AOA 110-1698 (8.9")
> BIOS: v0.3301
> SW: ubuntu-9.04-netbook-remix-i386.img
> Status: exhibited issues until 'pciehp.pciehp_force=1' was used in the kernel boot command. After this it worked perfectly, minus the display of extra kernel messages during startup and during wake-up after suspend.
>
>
> @John Hart
>
> Hi! Yes, if you apply the 'pciehp.pciehp_force=1' only during the Grub
> edit screen it will only work that one time. This is good for testing,
> but not great if you want to include that boot option permanently.
>
> The 'sudo vi' routine mentioned above works,... just as long as you know
> how to use vi. I for one do not so I just prefer to use gedit (the real
> name for "Text Editor"). :P
>
> Now as for how to modify the file in /boot/grub/menu.lst, I offer three
> options. Pick the one you're most comfortable with. :)
>
> OPTION 1:
> Open the Terminal via Accessories>Terminal and then type (or copy-n-paste) the line "sudo gedit /boot/grub/menu.lst". It will likely prompt you for a password. After which, the menu.lst file will open -- if you drop all the way to the end of the file, you should see the boot options available (the first line should start with something like "title Ubuntu 9.04, kernel 2.6.28-11-generic").
>
> You will want to append that code right after the kernel line, which
> ends with "ro quiet splash" so that it becomes "ro quiet splash
> pciehp.pciehp_force=1". Then save and reboot your Acer.
>
>
> OPTION 2:
> Same as OPTION 1, but instead of going through the Terminal, you can just press ALT+F2 to bring up the Run window and type in "gksu gedit /boot/grub/menu.lst" to open the file automatically. Or just put in "gksu gedit" if you want to op...

Read more...

John Hart (jlhart68) wrote :

This problem has a solution: see the post by C-quel above. Those options will work. I used OPTION 1 and my system is good to go now. Just as he reports, both media card readers will read media cards inserted after boot.

I now can report 100% complete operation on my Acer Aspire ONE.

I now have Jaunty Jackalope 9.04 on four computers and working good on all four. 2-desktops, 1-laptop, & 1-netbook. IMHO Jaunty is the best yet for Ubuntu. Yes I know there is a slight regression in the full screen video playing, but that will soon be correced by the fine folks on the Launchpad Team.

I have to give a BIG Thanks for C-quel for his excellent instructions on the media card fix. THANKS!

Acer Aspire ONE Netbook
Model: AOA 150-1249 w/ 1.5GB RAM
OS: ubuntu-9.04-netbook-remix-i386.img

paul (paul-s) wrote :

Both readers now work for me as well on both my AOs. Now that a fix has been identified what does it take to have it implemented as a permanent fix rather than a workaround that most users will not be able to find?

StephanBeal (sgbeal) wrote :

i've got an Acer Aspire One/D150 and it works 100% out of the box using the vanilla (non-Netbook Remix) Jaunty installation, including wlan, audio, video, and SD card reader (without the need to have a card inserted at boot-time).

That said... i always have the "dummy card" in the slot when i've got no real SD card in it (to avoid getting dust, water, cat hair, and whatnot in the slot). Maybe that's why this has never shown up. i don't have the netbook with me, so i can't verify that right now.

Marc Deslauriers (mdeslaur) wrote :

StephanBeal: What version of firmware do you have?

StephanBeal (sgbeal) wrote :

BIOS setup says v1.05. Mfg date is March/2009. i see now way of getting a more precise firmware version - the POST screen flies by in about 0.5 seconds (and that's with the "fast" POST option disabled in the BIOS), and i can't read that fast. Exact model name is D150-1Bd.

StephanBeal (sgbeal) wrote :

Regarding the "dummy card" mentioned above - i booted without the dummy card in place (i.e. empty slot), logged in, and inserted an SD card. Works as expected. Again, i'm using vanilla Jaunty, not the Remix, in case that makes a difference. Repeated several times. Works as expected on my box (see previous comment for HW/firmware).

Xan (dxpublica) on 2009-05-15
tags: added: aspireone
dnl (dnl) wrote :

StephanBeal wrote:
> BIOS setup says v1.05. Mfg date is March/2009. i see now way of getting
> a more precise firmware version - the POST screen flies by in about 0.5
> seconds (and that's with the "fast" POST option disabled in the BIOS),
> and i can't read that fast. Exact model name is D150-1Bd.
>
You and I have the same system and same results, it works just fine.

Go into the BIOS setup and you can spend all the time you want looking
at the version string ;)

Gracias! Hice la Opción 1 que explicó C-quel y funcionó mi lector. Tengo una Acer Aspire One ZG5 con Ubuntu 9.04 UNR

I don't know type very well in English, sorry :(

Jsewill (abraham-sewill) wrote :

I'm running ubuntu jaunty 9.04 and am having the very same issue. I am about to try the workaround, however, is there a more clean (and permanent) solution in the works?

Jsewill (abraham-sewill) wrote :

Here is an update on my test. I had no success applying the kernel option at boot. I will run it again and post results of dmesg etc.

Jsewill (abraham-sewill) wrote :

Sorry for the long delay. Just to confirm, the card reader functions when I have an SD card inserted during the boot-up process. I am attaching some info on the non-functional Jmicron MMC chipset while using kernel option pciehp.pciehp_force=1 while an SD card is inserted. Let me know if you need any more info.

Jsewill (abraham-sewill) wrote :
jtykal (jim-tykal) wrote :

The kernel option "pciehp.pciehp_force=1" worked for me -- both card readers can now hot-swap SD cards whether a card was present at boot up time or not. The right-side card reader on the AAO should also read MemoryStick media -- but when I insert a card, it is not recognized. Anybody else try this? (I know the hardware works because the MS is mounted when I insert it while running WindowsXP.)

Jesus (jesus-pereira) wrote :

The right-side card reader on the AAO 150 should also read xD card -- but when I insert a card, it is not recognized.

Did you do the workaround and it still does not work? Did you load
backports?

On Wed, Jun 24, 2009 at 7:59 PM, Jesus <email address hidden> wrote:

> The right-side card reader on the AAO 150 should also read xD card --
> but when I insert a card, it is not recognized.
>
> --
> kernel does not detect card reader if card is inserted in reader before
> boot
> https://bugs.launchpad.net/bugs/271019
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: linux
>
> udev only enumerates a device if SD or other card is already present during
> boot.
>
> $ lsb_release -rd
> Description: Ubuntu intrepid (development branch)
> Release: 8.10
>
> $ lspci
> 01:00.0 System peripheral: JMicron Technologies, Inc. Device 2382
> 01:00.2 SD Host controller: JMicron Technologies, Inc. Device 2381
> 01:00.3 System peripheral: JMicron Technologies, Inc. Device 2383
> 01:00.4 System peripheral: JMicron Technologies, Inc. Device 2384
>
> this happens for both controllers on my acer aspire one running 8.10
>
> dpkg -l|grep udev
> ii udev 124-3
> rule-based device node and kernel event mana
>

andypiper (andypiperuk) wrote :

I can't understand how any of you have this working with one of the packaged Ubuntu Jaunty kernels. As I understand it the pciehp.pciehp_force=1 will only work if the pciehp stuff is built as a module, and in the default kernels it is compiled into the kernel.

I got it to work by rebuilding my kernel, but then I lost the ability to get the wireless LED working.

StephanBeal (sgbeal) wrote :

On Fri, Jun 26, 2009 at 3:31 PM, andypiper<email address hidden> wrote:
> I can't understand how any of you have this working with one of the
> packaged Ubuntu Jaunty kernels. As I understand it the
> pciehp.pciehp_force=1 will only work if the pciehp stuff is built as a
> module, and in the default kernels it is compiled into the kernel.

It "just works" for me using the default installation (NOT the netbook
install - i didn't try that one):

http://blog.s11n.net/?p=75

--
----- stephan beal
http://wanderinghorse.net/home/stephan/

Ank (mr-ankitmittal) wrote :

Same problem as seltzer

On Acer Aspire one 150: fully updated Unbuntu Netbook Remix 9.04,

Neither media card reader works whether inserted before or after boot. Tried pciehp.pciehp_force=1 solution in various forms and shape from different pages and sources but nothing works on my netbook which is adamant to make me believe that there is no card reader ...

USB Slots work fine. and a USB card reader when inserted is read as well...

Any help to atleast make the card readers readable at the time of boot will be much appreciated.

Regards,
Ankit.

Ank (mr-ankitmittal) wrote :

Hello All,

I recently installed Linux4one distro and everything works with that...I had to do a bit of tinkering for microphone seetup but it all worked. However, this distro is based on ubuntu 8.04 and the icons do look quite washed out.

I really would want to use the actual ubuntu netbook remix and as am no techie I was wondering if someone here could have a look at what is it that makes Linux4one distro work out of the box and apply the same on UNR or atleast provide guidance on how it can be done manually.

Meanwhile, I have been able to make the right side card reader work by adding an options.conf file as was mentioned on one of the forums.

Left hand side card reader now works if a card is inserted during booting but won't work if inserted before or afetr boot.

Happy to do any test if anyone wants me to.

Cheers,
Ankit.

JW (arch0njw) wrote :

Acer Aspire One 250 -- card reader is hotpluggable. I just loaded pictures off an xD card.

I had the same problem with my card reader and Ubuntu Netbook remix 9.10 beta, I solved like this: I modified /etc/default/grub on line

GRUB_CMDLINE_LINUX_DEFAULT=”quiet splash”

and replace it for:

GRUB_CMDLINE_LINUX_DEFAULT=”quiet splash pciehp.pciehp_force=1″

 after that I type:

sudo update-grub

and finally reboot, and works.

My netbook is an Acer Aspire One A150 with UNR 9.10 Beta with kernel 2.6.31-14-generic

andypiper (andypiperuk) wrote :

Confirmed Sergio's findings with an Aspire One 110L running 2.6.31-14 (karmic 9.10 UNR latest updates) - adding the pci force option in grub will enable the right hand slot to work correctly. The left slot continues to also support hotplugging.

Ank (mr-ankitmittal) wrote :

Thanks for the response Sergio and andypiper... but I can not find grub in the location /etc/default...

Please suggest !!!

Ank (mr-ankitmittal) wrote :

I ran update..did not do anything else and somehow now both slots are hot pluggable...:)

I have the same problem neither of my card readers work on my A110l 9.10 remix. When I go to /etc/default/ there is no grub file. Are you saying that this file has to be created?

Geoffrey P Griffiths
604.521.8609

________________________________
From: Sergio Infante Montero (neosergio) <email address hidden>
To: <email address hidden>
Sent: Sat, October 17, 2009 12:24:09 AM
Subject: [Bug 271019] Re: kernel does not detect card reader if card is inserted in reader before boot

I had the same problem with my card reader and Ubuntu Netbook remix 9.10
beta, I solved like this: I modified /etc/default/grub on line

GRUB_CMDLINE_LINUX_DEFAULT=”quiet splash”

and replace it for:

GRUB_CMDLINE_LINUX_DEFAULT=”quiet splash pciehp.pciehp_force=1″

after that I type:

sudo update-grub

and finally reboot, and works.

My netbook is an Acer Aspire One A150 with UNR 9.10 Beta with kernel
2.6.31-14-generic

--
kernel does not detect card reader if card is inserted in reader before boot
https://bugs.launchpad.net/bugs/271019
You received this bug notification because you are a direct subscriber
of the bug.

Status in “linux” package in Ubuntu: Confirmed

Bug description:
Binary package hint: linux

udev only enumerates a device if SD or other card is already present during boot.

$ lsb_release -rd
Description: Ubuntu intrepid (development branch)
Release: 8.10

$ lspci
01:00.0 System peripheral: JMicron Technologies, Inc. Device 2382
01:00.2 SD Host controller: JMicron Technologies, Inc. Device 2381
01:00.3 System peripheral: JMicron Technologies, Inc. Device 2383
01:00.4 System peripheral: JMicron Technologies, Inc. Device 2384

this happens for both controllers on my acer aspire one running 8.10

dpkg -l|grep udev
ii udev 124-3 rule-based device node and kernel event mana

      __________________________________________________________________
Make your browsing faster, safer, and easier with the new Internet Explorer® 8. Optimized for Yahoo! Get it Now for Free! at http://downloads.yahoo.com/ca/internetexplorer/

andypiper (andypiperuk) wrote :

/etc/default/grub is the configuration file which is used by the newer version of grub (grub-pc) - on the Jaunty and earlier versions, you'll need to add pciehp.pciehp_force=1 to the linux boot line in /boot/grub/menu.lst I believe.

Thank you for your response I was in error. I was not running 9.10 remix I was still on 9.04. Now that I am running 9.10, I can now access the left hand card reader but not he right hand one.

Geoffrey P Griffiths
604.521.8609

________________________________
From: andypiper <email address hidden>
To: <email address hidden>
Sent: Sun, October 18, 2009 1:01:59 PM
Subject: [Bug 271019] Re: kernel does not detect card reader if card is inserted in reader before boot

/etc/default/grub is the configuration file which is used by the newer
version of grub (grub-pc) - on the Jaunty and earlier versions, you'll
need to add pciehp.pciehp_force=1 to the linux boot line in
/boot/grub/menu.lst I believe.

--
kernel does not detect card reader if card is inserted in reader before boot
https://bugs.launchpad.net/bugs/271019
You received this bug notification because you are a direct subscriber
of the bug.

Status in “linux” package in Ubuntu: Confirmed

Bug description:
Binary package hint: linux

udev only enumerates a device if SD or other card is already present during boot.

$ lsb_release -rd
Description: Ubuntu intrepid (development branch)
Release: 8.10

$ lspci
01:00.0 System peripheral: JMicron Technologies, Inc. Device 2382
01:00.2 SD Host controller: JMicron Technologies, Inc. Device 2381
01:00.3 System peripheral: JMicron Technologies, Inc. Device 2383
01:00.4 System peripheral: JMicron Technologies, Inc. Device 2384

this happens for both controllers on my acer aspire one running 8.10

dpkg -l|grep udev
ii udev 124-3 rule-based device node and kernel event mana

      __________________________________________________________________
Make your browsing faster, safer, and easier with the new Internet Explorer® 8. Optimized for Yahoo! Get it Now for Free! at http://downloads.yahoo.com/ca/internetexplorer/

andypiper (andypiperuk) wrote :

Again, if you add pciehp.pciehp_force=1 to the kernel boot line on the latest Karmic 9.10 kernel, the right-hand card reader should work and be hot-swappable.

I added pciehp.pciehp_force=1 to boot/grub/menu.lst and now the right hand card reader works.

Thanks

Geoffrey P Griffiths
604.521.8609

________________________________
From: andypiper <email address hidden>
To: <email address hidden>
Sent: Tue, October 20, 2009 2:06:25 AM
Subject: [Bug 271019] Re: kernel does not detect card reader if card is inserted in reader before boot

Again, if you add pciehp.pciehp_force=1 to the kernel boot line on the
latest Karmic 9.10 kernel, the right-hand card reader should work and be
hot-swappable.

--
kernel does not detect card reader if card is inserted in reader before boot
https://bugs.launchpad.net/bugs/271019
You received this bug notification because you are a direct subscriber
of the bug.

Status in “linux” package in Ubuntu: Confirmed

Bug description:
Binary package hint: linux

udev only enumerates a device if SD or other card is already present during boot.

$ lsb_release -rd
Description: Ubuntu intrepid (development branch)
Release: 8.10

$ lspci
01:00.0 System peripheral: JMicron Technologies, Inc. Device 2382
01:00.2 SD Host controller: JMicron Technologies, Inc. Device 2381
01:00.3 System peripheral: JMicron Technologies, Inc. Device 2383
01:00.4 System peripheral: JMicron Technologies, Inc. Device 2384

this happens for both controllers on my acer aspire one running 8.10

dpkg -l|grep udev
ii udev 124-3 rule-based device node and kernel event mana

      __________________________________________________________________
Be smarter than spam. See how smart SpamGuard is at giving junk email the boot with the All-new Yahoo! Mail. Click on Options in Mail and switch to New Mail today or register for free at http://mail.yahoo.ca

DigitaLink (the-pollards) wrote :

Just put UNR Karmic on an Aspire One last night, NEITHER SD slot would recognize or hot swap. I added pciehp.pciehp_force=1 to the end of the kernel line in /boot/grub/grub.cfg and now BOTH slots are properly hot swapping. Thanks for finding this quick and easy fix!!

WaDOS (wados) wrote :

This issue still exist for acer aspire 5737z. Nothing changed after adding pciehp.pciehp_force=1
[root@acer:~]# uname -a
Linux acer 2.6.31-14-generic #48-Ubuntu SMP Fri Oct 16 14:05:01 UTC 2009 x86_64 GNU/Linux

dnl (dnl) wrote :

WaDoZe wrote:
> This issue still exist for acer aspire 5737z. Nothing changed after adding pciehp.pciehp_force=1
> [root@acer:~]# uname -a
> Linux acer 2.6.31-14-generic #48-Ubuntu SMP Fri Oct 16 14:05:01 UTC 2009 x86_64 GNU/Linux
>
Is this your first try w/ Ubuntu on the Acer?

If not, did the slots work on the jaunty? That is, did the workaround
work for jaunty and not for karmic?

Did you look to see if a BIOS update is available?

I just DL'd karmic, so I'll try it, but my D150 has not had any problems
w/ the slot on jaunty and all its kernel updates.

--
David N. Lombard

John Hart (jlhart68) wrote :

this still is present in Ubuntu 9.10 Netbook Remix. The above fix is not appropriate for a clean install of 9.10 as the Grub is now GRUB2 and uses a different file. I know the file name, but I do not know where in the file to insert the fix. "pciehp.pciehp_force=1"

So I now need to know just where to add the fix to the new Grub Boot file.

Maybe someone would provide to this bug site, a new set of instructions for ;getting the media cards detected.

andypiper (andypiperuk) wrote :

For grub2, edit /etc/default/grub and add pciehp.pciehp_force=1 to GRUB_CMDLINE_LINUX_DEFAULT. Then save the file and run update-grub. In my case, this makes both card readers work correctly under 9.10 on an AAO 110L.

Omer Akram (om26er) wrote :

aspire one bios 3309 fixed this

Changed in linux (Ubuntu):
status: Confirmed → Invalid
John Hart (jlhart68) wrote :

Would you provide instructions on how to flash the BIOS on an Acer Aspire One (150), so that I can update the BIOS to 3309 or 3310 which ever is recommended by this site.

Ok for automount SD Card with pciehp.pciehp_force=1 in grub2 on AOA ZG5 but you must umount cards before suspend if or it freeze and you must do a hard reboot...

dnl (dnl) wrote :

John Hart wrote:
> Would you provide instructions on how to flash the BIOS on an Acer
> Aspire One (150), so that I can update the BIOS to 3309 or 3310 which
> ever is recommended by this site.
>

Get the BIOS at <> http://gd.panam.acer.com/home/>
Select Netbook, Acer Aspire One, then the specific model you have.

FWIW, I have an AOD150-1165, and I've not had any slot problems. It
still has the 1.05 BIOS that it came with.

These discuss the details of the actual update process, but Google will
find even more:

<http://www.youtube.com/watch?v=l6GRhsvP-og>

<http://4zzdawg.com/2008/11/02/aspire-one-how-to-flash-bios/>

--
David N. Lombard

John Hart (jlhart68) wrote :

Thanks dni, but I am confused, I looked at both of the web sites you listed and the authors used different methods for flashing the BIOS. Which is correct or which works? Or are there two (or more) ways to get there? and both work. BTW my AOA 150-1249 has the V0.3114 Version of the BIOS.

I "Googled" and did find more ways, that is what has me wondering which of the ways should be followed.

dnl (dnl) wrote :

John Hart wrote:
> Thanks dni, but I am confused, I looked at both of the web sites you
> listed and the authors used different methods for flashing the BIOS.
> Which is correct or which works? Or are there two (or more) ways to get
> there? and both work. BTW my AOA 150-1249 has the V0.3114 Version of
> the BIOS.
>
> I "Googled" and did find more ways, that is what has me wondering which
> of the ways should be followed.
>
There are multiple methods. I have a USB key with DOS on it that I
typically use for BIOS updates since vendors like DOS*. Pick whichever
method you feel most comfortable with. If you find an example that's
your model, use that.

* There's actually a technical reason why DOS is used. It's a minimal
environment that is fairly consistent. Makes validation easier for the
system manufacturer since they don't have to worry about OS versions &
the like. Make it harder for us, though...

--
David N. Lombard

John Hart (jlhart68) wrote :

Updated BIOS (to ver0.3310) did NOT correct problem. But I did learn how to update the BIOS. I would like to know more about how the updated BIOS correct the problem as I now have the most current version of the BIOS and I still have the problem.

I guess now I will have to do the grub update method to get the right media slot to be hot plugable. The left slot has always worked fine. I do not like leaving an SD card in the right slot as it sticks out too far. The left slot the SD card is almost flush with the netbook case.

From the ACER web site: How to update the BIOS

Create a recovery USB drive to update the Bios on the unit. The specific steps to perform this recovery with the USB drive are:

   1. Download & Extract AS1_BIOS_3310.zip
   2. Rename the Bios name from 3310.fd to ZG5IA32.FD. (Note use all CAPS in the file name)
   3. Copy ZG5IA32.FD and Flashit.exe to USB flash drive.
   4. Start the restoration process:

      A. Plug the AC Adapter into the unit.
      B. Insert the USB flash drive into a USB port.
      C. Press and Hold down the Fn and the Esc keys together.
      D. Keep these keys held down and press power.
      E. When the unit's power light comes on release the Fn and Esc keys.
      F. After the keys have been released the power light will start to blink.
      G. Let the unit run and after approximately 1-7 minutes, the unit should reboot.
      H. Video should now be restored.

The above worked for me. It actually worked on the second try, so if it does not work at first try several times.
use; $suddo dmidecode -s bios-version to check installed BIOS version

Changed in linux (Ubuntu):
status: Invalid → Confirmed
Neil Wilson (neil-aldur) wrote :

Update to 3310 Bios has no effect on hotplug here either. This is for an Aspire One AOA110

I can't get anything out of the left or right SD card readers via the hotplug system. It is as though they are not there by default.

Omer Akram (om26er) wrote :

@Neil Wilson which version of ubuntu are you using?

AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC268 Analog [ALC268 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC268 Analog [ALC268 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: neil 1651 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0x58540000 irq 29'
   Mixer name : 'Realtek ALC268'
   Components : 'HDA:10ec0268,1025015b,00100101'
   Controls : 8
   Simple ctrls : 5
DistroRelease: Ubuntu 9.10
HibernationDevice: RESUME=UUID=28d7773c-0b36-422d-a851-85da121c0e78
MachineType: Acer AOA110
Package: linux (not installed)
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-17-generic root=UUID=e0bb5c07-35eb-43fe-a459-61343a0d4202 ro quiet splash pciehp.pciehp_force=1
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_GB.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-17.54-generic
RelatedPackageVersions:
 linux-backports-modules-2.6.31-17-generic N/A
 linux-firmware 1.25
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
Tags: ubuntu-unr
Uname: Linux 2.6.31-17-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 10/06/2008
dmi.bios.vendor: Acer
dmi.bios.version: v0.3310
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.vendor: Acer
dmi.board.version: Base Board Version
dmi.chassis.type: 1
dmi.chassis.vendor: Chassis Manufacturer
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAcer:bvrv0.3310:bd10/06/2008:svnAcer:pnAOA110:pvr1:rvnAcer:rn:rvrBaseBoardVersion:cvnChassisManufacturer:ct1:cvrChassisVersion:
dmi.product.name: AOA110
dmi.product.version: 1
dmi.sys.vendor: Acer

tags: added: apport-collected
Neil Wilson (neil-aldur) wrote :

note that I've got pciehp forced on in this config.

WaDOS (wados) wrote :

Just try live CD Fedora12 x64 edition. Everything works fine there for my acer 5737z.

Zordid (zordid-gmx) wrote :

Same problem here with Natty Beta 2 on a Dell XPS 17 with internal card reader.

Without a card at boot, it will never be detected anymore. :-(

Why is this bug so old and not yet assigned or even fixed??

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in a supported series, please file a new bug.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: Confirmed → Won't Fix
Xan (dxpublica) wrote :

Wow: from 2008 to 2011. I understand why the series is NOW unsuported. Please, improve the triage bug team. If not, why user should file bugs if we (you) take a long time for triaging it.

Changed in linux (Ubuntu):
assignee: nobody → Bob McClelland (bobkat67-73)
To post a comment you must log in.